﻿namespace AuthStudy.WebApp
{
    /// <summary>
    /// 认证方案名称
    /// </summary>
    public class AuthenticationSchemeList
    {
        /// <summary>
        /// 浏览器认证方案
        /// 接口实现方式
        /// </summary>
        public const string BaseBrowserScheme = "BaseBrowserScheme";

        /// <summary>
        /// 浏览器认证方案
        /// 基类实现方式
        /// </summary>
        public const string BrowserScheme = "BrowserScheme";

        /// <summary>
        /// 基本身份认证
        /// </summary>
        public const string BasicScheme = "BasicScheme";
    }
}
